## com.google.debugging.sourcemap
Interface SourceMappingReversable

All Superinterfaces:
  SourceMapping

All Known Implementing Classes:
  SourceMapConsumerV3

    public interface SourceMappingReversable

extends SourceMapping

A SourceMappingReversable is a SourceMapping that can provide the reverse (source --> target) source mapping.

Method Summary
`Collection<String>` | `getOriginalSources()`
`Collection<Mapping.OriginalMapping>` | `getReverseMapping(String originalFile, int line, int column)` Given a source file, line, and column, return the reverse mapping (source --> target).

Methods inherited from interface com.google.debugging.sourcemap.SourceMapping
`getMappingForLine`

Method Detail

### getOriginalSources

    Collection<String> getOriginalSources()

  Returns:
    the collection of original sources in this source mapping

### getReverseMapping

    Collection<Mapping.OriginalMapping> getReverseMapping(String originalFile,
                                                          int line,
                                                          int column)

  Given a source file, line, and column, return the reverse mapping (source --> target). A collection is returned as in some cases (like a function being inlined), one source line may map to more then one target location. An empty collection is returned if there were no matches.

  Parameters:
    `originalFile` - the source file
    `line` - the source line
    `column` - the source column
  Returns:
    the reverse mapping (source --> target)